Bug 461148 - Installer fails while sending traceback to bugzilla.redhat.com
Installer fails while sending traceback to bugzilla.redhat.com
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 11:47 EDT by James Laska
Modified: 2013-09-02 02:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-11.4.1.58
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 07:34:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of 2nd traceback (part#1) (209.87 KB, image/jpeg)
2008-09-04 11:47 EDT, James Laska
no flags Details
screenshot of 2nd traceback (part#2) (227.59 KB, image/jpeg)
2008-09-04 11:52 EDT, James Laska
no flags Details
Screenshot of traceback (anaconda-11.4.1.33-1) (230.53 KB, image/jpeg)
2008-09-10 09:37 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-09-04 11:47:06 EDT
Created attachment 315768 [details]
screenshot of 2nd traceback (part#1)

While installing http://kojipkgs.fedoraproject.org/mash/rawhide-20080904/development/i386/os/

1) Boot with "updates=http://jlaska.fedorapeople.org/traceback.img" to force a traceback

2) At "Welcome" screen, hit Next to inject traceback
3) At traceback screen, select Save
4) Select Bugzilla
5) Enter bugzilla login information, and click Save

Actual results:

A traceback is encountered while sending the original traceback to bugzilla

Expected results:

No 2nd traceback, the failure should be sent to bugzilla and the user notified of the failure

Additional notes:

Other than output on tty1, there is no notification of a failure occurring while transmitting the report to bugzilla.redhat.com.  Not sure what would make sense for telling the user that we failed to report the failure?
Comment 1 James Laska 2008-09-04 11:52:29 EDT
Created attachment 315769 [details]
screenshot of 2nd traceback (part#2)
Comment 2 Chris Lumens 2008-09-04 12:49:54 EDT
According to Will, the updateWhiteboard method we are using is gone.  Waiting on a newer python-bugzilla that should fix this.
Comment 3 Orion Poplawski 2008-09-08 16:24:34 EDT
Got a traceback with 11.4.1.32.  Was not able to save via Bugzilla or scp.  Clicked "OK" in the "Save" dialog box but nothing happens.
Comment 4 James Laska 2008-09-10 09:37:13 EDT
Created attachment 316314 [details]
Screenshot of traceback (anaconda-11.4.1.33-1)

Attaching a screenshot of a traceback while uploading the information to bugzlila using anaconda-11.4.1.33-1
Comment 5 Chris Lumens 2008-09-10 09:53:26 EDT
Yeah, fields keep changing names.  I've added handling to catch the exception and display it in a dialog so at least we know what's going on without having to switch to tty1.
Comment 6 James Laska 2008-11-17 07:34:12 EST
VERIFIED on rawhide-20081114 using anaconda-11.4.1.58

Note You need to log in before you can comment on or make changes to this bug.